#!/bin/bash

SRCDIR=/beef1/video/tmp
FINAL=/beef1/video/tivo




if [ "${1}" == "" ]; then
  echo "${0}: ty-stream"
  exit 0
fi


DATA=`grep "^${1}" ${HOME}/tv.list` 


TYSTREAM=`echo "${DATA}" | cut -f1 -d'	'`
SIZE=`echo "${DATA}" | cut -f2 -d'	'`
EPNUM=`echo "${DATA}" | cut -f3 -d'	'`
ALTEPNUM=`echo "${DATA}" | cut -f4 -d'	'`
NAME=`echo "${DATA}" | cut -f5 -d'	'`
TITLE=`echo "${DATA}" | cut -f6 -d'	'`
DESC=`echo "${DATA}" | cut -f7 -d'	'`
ACTORS=`echo "${DATA}" | cut -f8 -d'	'`
AIRDATE=`echo "${DATA}" | cut -f9 -d'	'`
PARTS=`echo "${DATA}" | cut -f10- -d'	'`

INFO="name=${NAME} - ${TITLE} (${EPNUM}):subject=${DESC} :artist=${ACTORS} :comment=Original Airdate ${AIRDATE}"






filename="${SRCDIR}/${1}.mpg"
DEST="${NAME}-${TITLE} (${EPNUM})"

echo "DiVX ${1} - ${DEST}"

bitrate=800

echo
echo "We will now convert \"$1\" to a divx file..."
echo

filepart="$1"

## ORIGINAL:    -vop crop=400:300:8:6,scale=416:312,pp

for pass in 1 2
do
  echo Starting Video Pass ${pass}
  mencoder "${filename}" 						\
    -vop crop=400:300:12:3,scale=420:306,pp				\
    -ovc lavc								\
    -lavcopts vcodec=mpeg4:vhq:v4mv:keyint=150:vbitrate=$bitrate:vpass=${pass} \
    -oac mp3lame							\
    -lameopts br=80:cbr							\
    -sws 2 						\
    -o "output.avi"							\
    </dev/null >/dev/null 2>&1

  if [ $? -eq 0 ]
  then
    echo "Video Pass ${pass} done".
    echo
  else
    echo "Video encoding pass ${pass} failed, exiting"
    exit 1
  fi
done

mkdir -p "${FINAL}/${NAME}"
cp "output.avi" "${FINAL}/${NAME}/${DEST}.avi"
rm "output.avi"
rm "divx2pass.log"
