#!/bin/bash
SRCDIR=/beef1/video/tmp

FILES=`cd ${SRCDIR}; ls -1 *.nfo`
LOCK=/tmp/`basename $0`
ENCODER_STOP=${HOME}/encoder.stop

if [ -f ${LOCK} ]; then
  echo locked by ${LOCK}
  exit 0
fi
touch ${LOCK}
echo "Encoder ($0) working in `pwd`"

for filename in ${FILES}
do
  if [ -f ${ENCODER_STOP} ]; then
    exit 1
  fi

  filepart="${filename%.nfo}"


  if [ ! -f ${SRCDIR}/${filepart}.done -a \
       ! -f ${SRCDIR}/${filepart}.lock -a \
         -f ${SRCDIR}/${filepart}.mpg ]
  then
    touch ${SRCDIR}/${filepart}.lock

    # process
    convertmpg.sh ${filepart}


    # done
    touch ${SRCDIR}/${filepart}.done
    rm -f touch ${SRCDIR}/${filepart}.lock
    # rm -f ${SRCDIR}/${filepart}.mpg
  fi
done

rm -f ${LOCK}
