#!/bin/sh
REGRAB=${HOME}/regrab.hint

TIVO_HOST=tivo
TIVO_PORT=2000

TIVO_LIST=${HOME}/tv.list
SEEN_LIST=${HOME}/seen.list

GRABBER_STOP=${HOME}/grabber.stop
SPOOL=/share/video1/tmp
LOCK=/tmp/grabber.lock


# SA TiVo
#STANDALONE=-s

# DirecTiVo
STANDALONE=




# end of config

PATH=${PATH}:${HOME}/bin:`dirname $0`; export PATH



if [ -f ${LOCK} ]; then
  echo LOCK: ${LOCK}
  exit 0
fi
touch ${LOCK}


DELIM="	"

if [ "${1}" = "" ]; then
  echo ${0} no filter specified, grabbing everything
  FILTER="	"
else
  FILTER="$1"
fi



cat ${TIVO_LIST} | sed -e 's/
$//' | sed -e 's/ $//' | \
while read DATA; do
  if [ -f ${GRABBER_STOP} ]; then
    exit 1
  fi

  . decode_data.sh

  grep "^${ID}" ${SEEN_LIST} >/dev/null 2>&1
  if [ ! "$?" = 0 ]; then

    echo "${DATA}" | grep -i "${FILTER}" >/dev/null 2>&1
    if [ "$?" = 0 ]; then

      grep "${INFO}" ${SEEN_LIST} >/dev/null 2>&1
      if [ "$?" != 0 -o -f ${REGRAB} ]; then
        echo "Getting ${ID}: ${NAME} - ${TITLE} (${EPNUM}), parts" ${PARTS}
        echo ""

        ENCODED_PARTS=`echo "${PARTS}" | sed -e 's/ /%20/g'`

        wget --quiet -O - "http://${TIVO_HOST}:${TIVO_PORT}/${SIZE}/.2F.var.2F.hack.2F.mfs%20-s%20${ENCODED_PARTS}%20/${NAME}.ty" \
                 | vsplitmux2c ${STANDALONE} \
                               -j1 -m - ${SPOOL}/${ID}.mpg \
                                           ${SPOOL}/${ID}.dummy  \
			>/dev/null 2>&1

        rm -f ${SPOOL}/${ID}.dummy

        echo "${INFO}" >${SPOOL}/${ID}.nfo
      fi
      echo "${ID}	${INFO}" >> ${SEEN_LIST}
    fi
  fi
done


rm -f ${LOCK}
